"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphql_1 = require("graphql");
const _1 = require(".");
test("simple bus can be created", () => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    const pubSchema = (0, graphql_1.buildSchema)(`
    type TestEvent {
      id: ID!
      name: String
    }
    type Query {
      TestEvent: TestEvent!
    }
  `);
    const bus = new _1.VanillaEventBus({
        plugins: [],
        publisher: {
            schema: pubSchema,
            publish: () => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () { }),
        },
    });
    yield bus.init();
}));
